Package com.avaya.clientservices.presence

## Interface PresenceServiceListener

-     public interface PresenceServiceListener

  Interface that can be used to get presence service feedback and updates.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPresencePublishFailed​(PresenceService presenceService, Presence presence, java.lang.String failure)` | Called when the local user's presence failed to be published.
    `void` | `onPresencePublishSuccessful​(PresenceService presenceService, Presence presence)` | Called when the local user's presence has been published successfully.
    `void` | `onPresenceServiceAvailable​(PresenceService presenceService)` | Called when the presence service becomes available
    `void` | `onPresenceServiceUnavailable​(PresenceService presenceService)` | Called when the presence service becomes unavailable
    `void` | `onSelfPresenceReceived​(PresenceService presenceService, Presence presence)` | Called when presence information is received for the local user.

- - ### Method Detail

    - #### onPresencePublishSuccessful

          void onPresencePublishSuccessful​(PresenceService presenceService,
                                           Presence presence)

      Called when the local user's presence has been published successfully.
      Parameters:
        `presenceService` - The presence services associated with the callback.
        `presence` - The presence information that was received.

    - #### onPresencePublishFailed

          void onPresencePublishFailed​(PresenceService presenceService,
                                       Presence presence,
                                       java.lang.String failure)

      Called when the local user's presence failed to be published.
      Parameters:
        `presenceService` - The presence service associated with the callback.
        `presence` - The presence information that failed to be published.
        `failure` - A failure containing details of the error.

    - #### onSelfPresenceReceived

          void onSelfPresenceReceived​(PresenceService presenceService,
                                      Presence presence)

      Called when presence information is received for the local user.
      Parameters:
        `presenceService` - The presence service associated with the callback.
        `presence` - The presence information that was received.

    - #### onPresenceServiceAvailable

          void onPresenceServiceAvailable​(PresenceService presenceService)

      Called when the presence service becomes available
      Parameters:
        `presenceService` - The presence service associated with the callback.

    - #### onPresenceServiceUnavailable

          void onPresenceServiceUnavailable​(PresenceService presenceService)

      Called when the presence service becomes unavailable
      Parameters:
        `presenceService` - The presence service associated with the callback.